none
Install R2 problem RRS feed

  • Question

  • Hello everyone,

    I faced a strange problem during installing WinCE platform builder.

    Installation process

    Windows XP Sp 3

    VS 2008

    VS 2010

    VS 2005

    Platform builder plugin

    VS 2005 sp1

    Platform builder SP1

    When I try to run R2 setup I see message box with text " This release requires the following prerequisites. Please install any that are missing and restart this setup

        Windows Embedded CE 6.0 tools SP1"

    Does anyone have any thoughts how to fix this, because MS download center do not contain such item.

    Monday, July 18, 2011 7:47 PM

All replies

  • take a look at:

     

    http://guruce.com/blogpost/offline-installation-of-ce-60-r3

    and see if this helps,

    Just to have CE R2/R3 ( I am not sure why you prefer R2) vs2005 alone is enough. Make sure you also install all QFE's:

    http://guruce.com/blogpost/windows-embedded-qfes-updates

    The installation order should be like:

     

    1. Visual Studio 2005
    2. Visual Studio 2005 SP1
    3. Visual Studio 2005 SP1 Update for Vista (if applicable)
    4. Windows Embedded CE 6.0 Platform Builder
    5. Windows Embedded CE 6.0 SP1 (required if PB 6.0 Tools have been installed)
    6. Windows Embedded CE 6.0 R2
    7. Windows Embedded CE 6.0 Windows Embedded CE 6.0 Cumulative Product Update Rollup Package (through 12/31/2010) + any following updates

    Hope it helps,

     


    -- Good luck, Erwin Zwart, Check out my blog: http://GuruCE.com/blog GuruCE Microsoft Embedded Partner http://GuruCE.com Consultancy, training and development services.
    Monday, July 18, 2011 8:07 PM
  • take a look at:

     

    http://guruce.com/blogpost/offline-installation-of-ce-60-r3

    and see if this helps,

    I have CD disk with this installation.

    Just to have CE R2/R3 ( I am not sure why you prefer R2) vs2005 alone is enough. Make sure you also install all QFE's:

    http://guruce.com/blogpost/windows-embedded-qfes-updates

    The installation order should be like:

     

    1. Visual Studio 2005
    2. Visual Studio 2005 SP1
    3. Visual Studio 2005 SP1 Update for Vista (if applicable)
    4. Windows Embedded CE 6.0 Platform Builder
    5. Windows Embedded CE 6.0 SP1 (required if PB 6.0 Tools have been installed)
    6. Windows Embedded CE 6.0 R2
    7. Windows Embedded CE 6.0 Windows Embedded CE 6.0 Cumulative Product Update Rollup Package (through 12/31/2010) + any following updates

    Hope it helps,

     


    -- Good luck, Erwin Zwart, Check out my blog: http://GuruCE.com/blog GuruCE Microsoft Embedded Partner http://GuruCE.com Consultancy, training and development services.
    Actually I need R3, but R2 should be installed first. As you can see I installed all required, VS 2005, PB 6, VS 2005 SP1, PB SP1. And try to install R2 and have described problem.
    Monday, July 18, 2011 8:33 PM